Skip to main content
`Ctrl`+`K`

# KSPMatSolveTranspose

Solves a linear system with the transposed matrix with multiple right-hand sides stored as a `MATDENSE`. Unlike `KSPSolveTranspose()`, `B` and `X` must be different matrices and the transposed matrix cannot be assembled explicitly for the user.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPMatSolveTranspose(KSP ksp, Mat B, Mat X)

## Input Parameters

- ksp - iterative context

- B - block of right-hand sides

## Output Parameter

- X - block of solutions

## Note

This is a stripped-down version of `KSPSolveTranspose()`, which only handles `-ksp_view`, `-ksp_converged_reason`, `-ksp_converged_rate`, and `-ksp_view_final_residual`.

## See Also

KSP: Linear System Solvers, `KSPSolveTranspose()`, `MatMatTransposeSolve()`, `KSPMatSolve()`, `MATDENSE`, `KSPHPDDM`, `PCBJACOBI`, `PCASM`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/ksp/ksp/tutorials/ex79.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages